#include <stdio.h>

void main(int argc, char *argv[])
{
	FILE *in, *out;
	int ch;

	puts("Guida Converter v1.0 by Dalibor Kezele\n");
	puts("Converts from CROSCII to 852 and back!\n");

	if(argc != 3) {
		puts("Usage: GCONVERT input_file output_file\n");
		exit(1);
		}

	if((in = fopen(argv[1], "r")) == NULL) {
		puts("Error: Couldn't open input_file!\n");
		exit(1);
		}

	if((out = fopen(argv[2], "w")) == NULL) {
		puts("Error: Couldn't open output_file!\n");
		exit(1);
		}

	while((ch = getc(in)) != EOF) {
		switch(ch) {
			case '{' : ch = 231; break;
			case '[' : ch = 230; break;
			case '`' : ch = 167; break;
			case '@' : ch = 166; break;
			case '~' : ch = 159; break;
			case '^' : ch = 172; break;
			case '}' : ch = 134; break;
			case ']' : ch = 143; break;
			case '|' : ch = 208; break;
			case '\\': ch = 209; break;

			case 231 : ch = '{'; break;
			case 230 : ch = '['; break;
			case 167 : ch = '`'; break;
			case 166 : ch = '@'; break;
			case 159 : ch = '~'; break;
			case 172 : ch = '^'; break;
			case 134 : ch = '}'; break;
			case 143 : ch = ']'; break;
			case 208 : ch = '|'; break;
			case 209 : ch ='\\';

			}
		fputc(ch, out);
		}

	fclose(out);
	fclose(in);
}
